/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 28-10-2022
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/shshaw/pen/oyJVxq */
/* info     -> menu-2x-mega-11 */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIBLES */
:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */
    /* counter - card-front */ 
    --count-color: rgb(255,255,255,1);  /* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 2.2rem;                 /* counter size - def 4rem */
    --count-pos-top:1.4rem;                  /* counter position top - def 1rem */
    /*--count-pos-right:1rem;             /* counter position right - def 1.2rem */
    --count-pos-left:1rem;       /* counter position left - NOT IN USE */
    /*--count-pos-bottom: -70%;     /* counter position bottom - NOT IN USE */ 
    --count-width: 1px;             /* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              /* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 27-10-22 */
/* RESET COUNTER -> SEE design.css */
/* MENU-2X-MEGA-11 */

/*
@import url("https://fonts.googleapis.com/css?family=Oswald:200");
*/

#app {
  display: grid;
  grid-template-columns: 1fr 1fr 10vmin;
  height: 98vh;
  width: 98vw;
  box-shadow: 0 2vmin 6vmin rgba(0, 0, 0, 0.2);
  color: white;
  overflow: hidden;
}

.ui-layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.ui-images {
  background-color: #fff;
  overflow: hidden;
}
.ui-images img {
  display: block;
  margin: 0 -0%; /* -15% */
  width: 100%; /* 130% */
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  opacity: 1; /* 0.8 */
  filter: contrast(1); /* 0.9 */
}

.ui-right > .ui-layer {
  display: grid;
  grid-template-columns: 1fr 1.7fr;
}

/* ---------------------------------- */
article.ui-layer .ui-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
article.ui-layer .ui-heading {
  display: inline-block;
  transform: rotate(-90deg);
  margin: 0;
  text-transform: uppercase;
  white-space: nowrap;
}
article.ui-layer .ui-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-right: 5vmin;
}
article.ui-layer .ui-content > p {
  font-size: 1.2rem;
  line-height: 1.6;
  letter-spacing: 1px;
  color: rgba(255, 255, 255, 0.8);
}

.ui-sidebar {
  grid-column: 3/-1;
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  padding: 3vh 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.ui-button {
  height: 5vmin;
  width: 5vmin;
  z-index: 2;
  transform-style: preserve-3d;
  perspective: 50px;
  cursor: pointer;
}
.ui-button:before, .ui-button:after {
  content: "";
  position: absolute;
  height: 1vmin;
  width: 100%;
  background-color: #fff;
  transition-property: transform, transform-origin;
  transition-duration: 0.5s;
  transition-timing-function: cubic-bezier(0.5, 0, 0.5, 1);
  border-radius: 0.3vh;
  -webkit-backface-visibility: visible;
          backface-visibility: visible;
}
.ui-button:after {
  transform-origin: right center;
  transform: translateY(200%) rotate(0) scaleX(0.8);
}
.ui-button.-open:before {
  transform: translateY(150%) rotateZ(-45deg) rotateY(180deg);
}
.ui-button.-open:after {
  transform-origin: center center;
  transform: translateY(150%) rotateZ(45deg) rotateY(180deg) scaleX(1);
}

/* ---------------------------------- */
.ui-menu {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 10vmin;
  background: rgba(51, 59, 68, 0.9);
}
.ui-menu > .ui-left, .ui-menu > .ui-right {
  display: grid;
  grid-template-rows: 15vh 1fr 15vh;
  grid-template-columns: 10vh 1fr;
}
.ui-menu > .ui-left {
  padding: 0 5vh;
  grid-template-rows: 15vh 1fr 1fr;
  grid-template-columns: repeat(2, 1fr);
}
.ui-menu > .ui-left > .ui-header {
  grid-row: 1/2;
  grid-column: 1/-1;
}
.ui-menu > .ui-right {
  background-color: #333B44;
}
.ui-menu > .ui-right .ui-headings {
  grid-row: 2/3;
  grid-column: 2/3;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.ui-section {
  transition: transform 0.5s cubic-bezier(0.5, 0, 0.5, 1);
}
.ui-section .ui-list {
  padding: 0;
  list-style-type: none;
}
.ui-section .ui-item {
  font-size: 0.8rem;
  line-height: 2;
  opacity: 0.8;
  letter-spacing: 1px;
}

.ui-heading {
  letter-spacing: 0.3em;
  margin: 0;
  text-transform: uppercase;
  white-space: nowrap;
  font-weight: 200;
  font-family: "Oswald", sans-serif;
}

/* ---------------------------------- */
.ui-controls {
  position: absolute;
  bottom: 0;
  right: 0;
}

.ui-nav-back,
.ui-nav-forward {
  background: none;
  -moz-appearance: none;
       appearance: none;
  -webkit-appearance: none;
  border: none;
  padding: 0;
  width: 2em;
  height: 2em;
  font-size: 2.3vmin;
  background: rgba(255, 255, 255, 0.9);
  color: transparent;
  display: inline-flex;
  transition: background-color 0.4s linear;
}
.ui-nav-back:before,
.ui-nav-forward:before {
  content: ">";
  display: block;
  color: #333B44;
  font-size: 1.25em;
  height: 1.2em;
  margin: auto;
  font-family: "Oswald", sans-serif;
  font-weight: 200;
}
.ui-nav-back:hover,
.ui-nav-forward:hover {
  background: #eee;
}

.ui-nav-back:before {
  content: "<";
}

/* ---------------------------------- */
.ui-menu {
  transition: opacity 0.6s linear, visibility 0s linear 0s;
}
.ui-menu .ui-heading .char {
  transition: transform 0.8s cubic-bezier(0.5, 0, 0.2, 1), opacity 0.8s linear;
  transform: translateX(0em);
}
.ui-menu:not(.-visible) {
  opacity: 0;
  visibility: hidden;
  transition-delay: 0s, 0.6s;
}
.ui-menu:not(.-visible) .ui-section {
  transform: translateX(50%);
}
.ui-menu:not(.-visible) .ui-heading .char {
  opacity: 0;
  transform: translateX(2em);
  transform: translateX(calc( 1em + .25em * var(--char-index) ));
}

/* ---------------------------------- */
.ui-content {
  display: block;
}

.ui-layer {
  transition: opacity 0.6s linear, visibility 0s linear 0s;
}
.ui-layer img,
.ui-layer .ui-content,
.ui-layer .ui-heading .char {
  transition: transform 0.9s cubic-bezier(0.5, 0, 0.2, 1);
  transform: translateX(0em);
}
.ui-layer img {
  display: block;
  transform: translateX(-10%);
}
.ui-layer.-current > img {
  transform: none;
}
.ui-layer.-current ~ .ui-layer > img {
  transform: translateX(10%);
}
.ui-layer:not(.-current) {
  opacity: 0;
  visibility: hidden;
  transition-delay: 0s, 0.6s;
}
.ui-layer:not(.-current) .ui-content,
.ui-layer:not(.-current) .ui-heading .char {
  transition-duration: 0.6s;
}
.ui-layer:not(.-current) .ui-content {
  transform: translateY(2em);
}
.ui-layer:not(.-current) .ui-heading .char {
  transform: translateX(-1em);
  transform: translateX(calc( -1em + (-.25em * var(--char-index) ) ));
}

/* ---------------------------------- */
body {
  background-image: linear-gradient(to bottom, #333B44, #2F363F);
}

*, *:before, *:after {
  box-sizing: border-box;
  position: relative;
}

body, html {
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}


/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */	
.box-counter::before { 
	position:absolute;
  display:flex;
	top:var(--count-pos-top,1.2rem);
  /*right:var(--count-pos-right);*/
  /*bottom:var(--count-pos-bottom);*/
  left:var(--count-pos-left);
	justify-content:center;
  align-items:center;
  counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width,1px);
	  -webkit-font-smoothing:antialiased;
	color:var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	/*z-index:999;*/
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */